#define CLK 5
#define CS 4
#define IO 6
#define CLK_H digitalWrite(CLK,HIGH)
#define CLK_L digitalWrite(CLK,LOW)
#define CS_H digitalWrite(CS,HIGH)
#define CS_L digitalWrite(CS,LOW)
#define IO_H digitalWrite(IO,HIGH)
#define IO_L digitalWrite(IO,LOW)
#define ReadIO digitalRead(IO)

#define uchar unsigned char
void setup() {
  // put your setup code here, to run once:
  pinMode(CLK, OUTPUT);
  pinMode(CS, OUTPUT);
  Serial.begin(9600);
}

void loop() {
  // put your main code here, to run repeatedly:
  Serial.print("A0:");
  Serial.print(readADC0832(0));
  Serial.print(".......A1:");
  Serial.println(readADC0832(1));
  delay(100);
}
byte readADC0832(boolean Chanel)
{
  byte Data1, Data2;
  pinMode(IO, OUTPUT);
  ////start
  CLK_L;  IO_H;  CS_L;
  CLK_H;  CLK_L;
  ////Model select
  IO_H;
  CLK_H;  CLK_L;
  ////Chanel Select
  if (Chanel)
    IO_H;
  else
    IO_L;
  CLK_H;  CLK_L;
  ////receive Data
  IO_H;
  pinMode(IO, INPUT);
  for (int i = 0; i < 8; i++)
  {
    CLK_H;  CLK_L;
    Data1 <<= 1;
    Data1 |= ReadIO;
  }
  for (int i = 0; i < 8; i++)
  {
    Data2>>=1;
    Data2 |= (ReadIO << 7);
    CLK_H;  CLK_L;
  }
  CLK_H;
  CS_H;
  pinMode(IO, OUTPUT);
  IO_H;
  if(Data1==Data2)
  {
    return Data1;
  }
  else
    return false;
}
